Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Class BooleanPropType

    java.lang.Object
      |
      +--jpos.profile.AbstractPropType
            |
            +--jpos.profile.BooleanPropType

All Implemented Interfaces:
  PropType, java.io.Serializable

public class BooleanPropType
extends AbstractPropType
implements PropType, java.io.Serializable

Defines a Boolean property type

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`(package private)` | `BooleanPropType()` Default ctor

Method Summary
`static PropType` | `getInstance()`
`java.lang.Class` | `getJavaTypeClass()`
`boolean` | `isValidValue(boolean b)`
`boolean` | `isValidValue(java.lang.Object obj)`
`boolean` | `isValidValue(PropValue propValue)`
`java.lang.String` | `toString()`

Methods inherited from class jpos.profile.AbstractPropType
`getDescription, setDescription`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jpos.profile.PropType
`getDescription`

Constructor Detail

### BooleanPropType

    BooleanPropType()

  Default ctor

Method Detail

### getInstance

    public static PropType getInstance()

  Returns:
    the unique instance of this class (create if necessary)

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `PropType`
  Overrides:
    `toString` in class `AbstractPropType`
  Returns:
    a String representation of this PropType

### getJavaTypeClass

    public java.lang.Class getJavaTypeClass()

  Specified by:
    `getJavaTypeClass` in interface `PropType`
  Overrides:
    `getJavaTypeClass` in class `AbstractPropType`
  Returns:
    a Java class that defines this type

### isValidValue

    public boolean isValidValue(boolean b)

  Parameters:
    `boolean` - the boolean primitive type
  Returns:
    true if the object passed is of this PropType

### isValidValue

    public boolean isValidValue(java.lang.Object obj)

  Specified by:
    `isValidValue` in interface `PropType`
  Overrides:
    `isValidValue` in class `AbstractPropType`
  Parameters:
    `obj` - the Java Object
  Returns:
    true if the object passed is of this PropType

### isValidValue

    public boolean isValidValue(PropValue propValue)

  Specified by:
    `isValidValue` in interface `PropType`
  Overrides:
    `isValidValue` in class `AbstractPropType`
  Parameters:
    `propValue` - the PropValue
  Returns:
    true if the PropValue passed is of this PropType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details